// TextViewDoc.cpp : implementation file
//

#include "stdafx.h"
#include "zscpascal.h"
#include "TextViewDoc.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CTextViewDoc

IMPLEMENT_DYNCREATE(CTextViewDoc, CDocument)

CTextViewDoc::CTextViewDoc()
{
}

BOOL CTextViewDoc::OnNewDocument()
{
	if (!CDocument::OnNewDocument())
		return FALSE;
	return TRUE;
}

CTextViewDoc::~CTextViewDoc()
{
}


BEGIN_MESSAGE_MAP(CTextViewDoc, CDocument)
	//{{AFX_MSG_MAP(CTextViewDoc)
		// NOTE - the ClassWizard will add and remove mapping macros here.
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTextViewDoc diagnostics

#ifdef _DEBUG
void CTextViewDoc::AssertValid() const
{
	CDocument::AssertValid();
}

void CTextViewDoc::Dump(CDumpContext& dc) const
{
	CDocument::Dump(dc);
}
#endif //_DEBUG

/////////////////////////////////////////////////////////////////////////////
// CTextViewDoc serialization

void CTextViewDoc::Serialize(CArchive& ar)
{
	CEditView* pView = (CEditView*)m_viewList.GetHead();
	ASSERT_KINDOF(CEditView, pView);
	pView->SerializeRaw(ar);
}

/////////////////////////////////////////////////////////////////////////////
// CTextViewDoc commands

void CTextViewDoc::DeleteContents() 
{
	// TODO: Add your specialized code here and/or call the base class
	
	CDocument::DeleteContents();

	if (m_viewList.IsEmpty())
		return;
	CEditView* pView = (CEditView*)m_viewList.GetHead();
	ASSERT_KINDOF(CEditView, pView);
	pView->DeleteContents();
}
