// ZSCPascalEditorView.h: interface for the CZSCAsmEditorView class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ZSCPASCALEDITORVIEW_H__450FFD53_019D_11D3_BAEC_005000230120__INCLUDED_)
#define AFX_ZSCPASCALEDITORVIEW_H__450FFD53_019D_11D3_BAEC_005000230120__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "CCrystalEditView.h"

class CZSCAsmEditorView : public CCrystalEditView  
{
public:
	virtual CCrystalTextBuffer * LocateTextBuffer();
	CZSCAsmEditorView();
	virtual ~CZSCAsmEditorView();
	void SetSelection(const CPoint &ptStart, const CPoint &ptEnd)
	{
		CCrystalTextView::SetSelection(ptStart,ptEnd);
	}

protected:
	virtual DWORD ParseLine(DWORD dwCookie, int nLineIndex, TEXTBLOCK *pBuf, int &nActualItems);
	
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSampleView)
	public:
	virtual void OnInitialUpdate();
	//}}AFX_VIRTUAL

DECLARE_DYNCREATE( CZSCAsmEditorView )

protected:
	//{{AFX_MSG(CSampleView)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif // !defined(AFX_ZSCPASCALEDITORVIEW_H__450FFD53_019D_11D3_BAEC_005004230120__INCLUDED_)
