// ZSCPascalEditorView.cpp: implementation of the CZSCPascalEditorView class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "zscpascal.h"
#include "ZSCPascalEditorView.h"
#include "ZSCPascalEditorDoc.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

IMPLEMENT_DYNCREATE(CZSCPascalEditorView, CCrystalEditView)

BEGIN_MESSAGE_MAP(CZSCPascalEditorView, CCrystalEditView)
	//{{AFX_MSG_MAP(CSampleView)
	//}}AFX_MSG_MAP
	// Standard printing commands
	ON_COMMAND(ID_FILE_PRINT, CCrystalEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_DIRECT, CCrystalEditView::OnFilePrint)
	ON_COMMAND(ID_FILE_PRINT_PREVIEW, CCrystalEditView::OnFilePrintPreview)
END_MESSAGE_MAP()
//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CZSCPascalEditorView::CZSCPascalEditorView()
{

}

CZSCPascalEditorView::~CZSCPascalEditorView()
{

}

CCrystalTextBuffer * CZSCPascalEditorView::LocateTextBuffer()
{
	return &((CZSCPascalEditorDoc*)GetDocument())->m_TextBuffer;

}

void CZSCPascalEditorView::OnInitialUpdate() 
{
	CCrystalEditView::OnInitialUpdate();

	SetFont(((CZSCPascalEditorDoc *)GetDocument())->m_lf);
}