// vmpascal.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "vmpascal.h"
#include "../VirtualMachine.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// The one and only application object

CWinApp theApp;

using namespace std;

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		cerr << _T("Fatal Error: MFC initialization failed") << endl;
		nRetCode = 1;
	}
	else
	{
		// TODO: code your application's behavior here.
		if (argc<2)
		{
			cout << "Zolysoftware Bulshit Virtual Machine v1.0a" << endl;
			cout << "ussage: vmpascal binfile" << endl;
			return 0;
		}

		TRY
		{
			CString sFileName = argv[1];
			CFile file(sFileName,CFile::modeRead);
			BinHeader header;
			// Next part must be updated for newer version headers
			file.Read( &header,sizeof(header));
			
			
			CVirtualMachine Machine;
			Machine.LoadMemoryContent (0,&file,header.codeSize);
			file.Close();

			Machine.Start(header.entryPoint,header.codeSize +100);
		}
		CATCH(CFileException, e)
		{
			cout << "File Access Error" << endl;
		}
		END_CATCH
	}

	return nRetCode;
}


